Package ch.qos.logback.access.net

# Class SimpleSocketServer

java.lang.Object
ch.qos.logback.access.net.SimpleSocketServer

public class SimpleSocketServer extends Object
A simple `SocketNode` based server.

         <b>Usage:</b> java ch.qos.logback.access.net.SimpleSocketServer port configFile

         where

     port

         is a part number where the server listens and

     configFile

         is an xml configuration file fed to JoranConfigurator.

Since:
  0.8.4
Author:
  Ceki Gülcü, Sébastien Pennec

## Constructor Summary

Constructors
Constructor
Description
`SimpleSocketServer()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] argv)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleSocketServer

public SimpleSocketServer()

## Method Details

### main

public static void main(String[] argv) throws Exception

Throws:
  `Exception`